VULKAN_HPP_NAMESPACE::PipelineViewportShadingRateImageStateCreateInfoNV Struct Reference

`#include <vulkan.hpp>`

Collaboration diagram for VULKAN_HPP_NAMESPACE::PipelineViewportShadingRateImageStateCreateInfoNV:
[legend]

## Public Member Functions

| PipelineViewportShadingRateImageStateCreateInfoNV (Bool32 shadingRateImageEnable_=0, uint32_t viewportCount_=0, const ShadingRatePaletteNV *pShadingRatePalettes_=nullptr)
| PipelineViewportShadingRateImageStateCreateInfoNV (VkPipelineViewportShadingRateImageStateCreateInfoNV const &rhs)
PipelineViewportShadingRateImageStateCreateInfoNV & | operator= (VkPipelineViewportShadingRateImageStateCreateInfoNV const &rhs)
PipelineViewportShadingRateImageStateCreateInfoNV & | setPNext (const void *pNext_)
PipelineViewportShadingRateImageStateCreateInfoNV & | setShadingRateImageEnable (Bool32 shadingRateImageEnable_)
PipelineViewportShadingRateImageStateCreateInfoNV & | setViewportCount (uint32_t viewportCount_)
PipelineViewportShadingRateImageStateCreateInfoNV & | setPShadingRatePalettes (const ShadingRatePaletteNV *pShadingRatePalettes_)
| operator VkPipelineViewportShadingRateImageStateCreateInfoNV const & () const
| operator VkPipelineViewportShadingRateImageStateCreateInfoNV & ()
bool | operator== (PipelineViewportShadingRateImageStateCreateInfoNV const &rhs) const
bool | operator!= (PipelineViewportShadingRateImageStateCreateInfoNV const &rhs) const

## Data Fields

const void * | pNext = nullptr
Bool32 | shadingRateImageEnable
uint32_t | viewportCount
const ShadingRatePaletteNV * | pShadingRatePalettes

## Private Attributes

StructureType | sType = StructureType::ePipelineViewportShadingRateImageStateCreateInfoNV

## Detailed Description

Definition at line 36586 of file vulkan.hpp.

## Constructor & Destructor Documentation

## PipelineViewportShadingRateImageStateCreateInfoNV() [1/2]

VULKAN_HPP_NAMESPACE::PipelineViewportShadingRateImageStateCreateInfoNV::PipelineViewportShadingRateImageStateCreateInfoNV | ( | Bool32 | shadingRateImageEnable_ = `0`,
|  | uint32_t | viewportCount_ = `0`,
|  | const ShadingRatePaletteNV * | pShadingRatePalettes_ = `nullptr`
| ) |  |

inline

Definition at line 36588 of file vulkan.hpp.

: shadingRateImageEnable( shadingRateImageEnable_ )
, viewportCount( viewportCount_ )
, pShadingRatePalettes( pShadingRatePalettes_ )
{
}

## PipelineViewportShadingRateImageStateCreateInfoNV() [2/2]

VULKAN_HPP_NAMESPACE::PipelineViewportShadingRateImageStateCreateInfoNV::PipelineViewportShadingRateImageStateCreateInfoNV | ( | VkPipelineViewportShadingRateImageStateCreateInfoNV const & | rhs | ) |

inline

Definition at line 36597 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( PipelineViewportShadingRateImageStateCreateInfoNV ) );
}

References memcpy.

## Member Function Documentation

## operator VkPipelineViewportShadingRateImageStateCreateInfoNV &()

VULKAN_HPP_NAMESPACE::PipelineViewportShadingRateImageStateCreateInfoNV::operator VkPipelineViewportShadingRateImageStateCreateInfoNV & | ( |  | ) |

inline

Definition at line 36636 of file vulkan.hpp.

{
return *reinterpret_cast<VkPipelineViewportShadingRateImageStateCreateInfoNV*>(this);
}

## operator VkPipelineViewportShadingRateImageStateCreateInfoNV const &()

VULKAN_HPP_NAMESPACE::PipelineViewportShadingRateImageStateCreateInfoNV::operator VkPipelineViewportShadingRateImageStateCreateInfoNV const & | ( |  | ) | const

inline

Definition at line 36631 of file vulkan.hpp.

{
return *reinterpret_cast<const VkPipelineViewportShadingRateImageStateCreateInfoNV*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::PipelineViewportShadingRateImageStateCreateInfoNV::operator!= | ( | PipelineViewportShadingRateImageStateCreateInfoNV const & | rhs | ) | const

inline

Definition at line 36650 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

PipelineViewportShadingRateImageStateCreateInfoNV& VULKAN_HPP_NAMESPACE::PipelineViewportShadingRateImageStateCreateInfoNV::operator= | ( | VkPipelineViewportShadingRateImageStateCreateInfoNV const & | rhs | ) |

inline

Definition at line 36602 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( PipelineViewportShadingRateImageStateCreateInfoNV ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::PipelineViewportShadingRateImageStateCreateInfoNV::operator== | ( | PipelineViewportShadingRateImageStateCreateInfoNV const & | rhs | ) | const

inline

Definition at line 36641 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( shadingRateImageEnable == rhs.shadingRateImageEnable )
&& ( viewportCount == rhs.viewportCount )
&& ( pShadingRatePalettes == rhs.pShadingRatePalettes );
}

References pNext, pShadingRatePalettes, shadingRateImageEnable, sType, and viewportCount.

Referenced by operator!=().

## setPNext()

PipelineViewportShadingRateImageStateCreateInfoNV& VULKAN_HPP_NAMESPACE::PipelineViewportShadingRateImageStateCreateInfoNV::setPNext | ( | const void * | pNext_ | ) |

inline

Definition at line 36607 of file vulkan.hpp.

{
pNext = pNext_;
return *this;
}

References pNext.

## setPShadingRatePalettes()

PipelineViewportShadingRateImageStateCreateInfoNV& VULKAN_HPP_NAMESPACE::PipelineViewportShadingRateImageStateCreateInfoNV::setPShadingRatePalettes | ( | const ShadingRatePaletteNV * | pShadingRatePalettes_ | ) |

inline

Definition at line 36625 of file vulkan.hpp.

{
pShadingRatePalettes = pShadingRatePalettes_;
return *this;
}

References pShadingRatePalettes.

## setShadingRateImageEnable()

PipelineViewportShadingRateImageStateCreateInfoNV& VULKAN_HPP_NAMESPACE::PipelineViewportShadingRateImageStateCreateInfoNV::setShadingRateImageEnable | ( | Bool32 | shadingRateImageEnable_ | ) |

inline

Definition at line 36613 of file vulkan.hpp.

{
shadingRateImageEnable = shadingRateImageEnable_;
return *this;
}

References shadingRateImageEnable.

## setViewportCount()

PipelineViewportShadingRateImageStateCreateInfoNV& VULKAN_HPP_NAMESPACE::PipelineViewportShadingRateImageStateCreateInfoNV::setViewportCount | ( | uint32_t | viewportCount_ | ) |

inline

Definition at line 36619 of file vulkan.hpp.

{
viewportCount = viewportCount_;
return *this;
}

References viewportCount.

## Field Documentation

## pNext

const void* VULKAN_HPP_NAMESPACE::PipelineViewportShadingRateImageStateCreateInfoNV::pNext = nullptr

Definition at line 36659 of file vulkan.hpp.

Referenced by operator==(), and setPNext().

## pShadingRatePalettes

const ShadingRatePaletteNV* VULKAN_HPP_NAMESPACE::PipelineViewportShadingRateImageStateCreateInfoNV::pShadingRatePalettes

Definition at line 36662 of file vulkan.hpp.

Referenced by operator==(), and setPShadingRatePalettes().

## shadingRateImageEnable

Bool32 VULKAN_HPP_NAMESPACE::PipelineViewportShadingRateImageStateCreateInfoNV::shadingRateImageEnable

Definition at line 36660 of file vulkan.hpp.

Referenced by operator==(), and setShadingRateImageEnable().

## sType

StructureType VULKAN_HPP_NAMESPACE::PipelineViewportShadingRateImageStateCreateInfoNV::sType = StructureType::ePipelineViewportShadingRateImageStateCreateInfoNV

private

Definition at line 36656 of file vulkan.hpp.

Referenced by operator==().

## viewportCount

uint32_t VULKAN_HPP_NAMESPACE::PipelineViewportShadingRateImageStateCreateInfoNV::viewportCount

Definition at line 36661 of file vulkan.hpp.

Referenced by operator==(), and setViewportCount().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::PipelineViewportShadingRateImageStateCreateInfoNV::PipelineViewportShadingRateImageStateCreateInfoNV
PipelineViewportShadingRateImageStateCreateInfoNV(Bool32 shadingRateImageEnable_=0, uint32_t viewportCount_=0, const ShadingRatePaletteNV *pShadingRatePalettes_=nullptr)
Definition: vulkan.hpp:36588
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VULKAN_HPP_NAMESPACE::PipelineViewportShadingRateImageStateCreateInfoNV::viewportCount
uint32_t viewportCount
Definition: vulkan.hpp:36661
VULKAN_HPP_NAMESPACE::PipelineViewportShadingRateImageStateCreateInfoNV::pNext
const void * pNext
Definition: vulkan.hpp:36659
VULKAN_HPP_NAMESPACE::PipelineViewportShadingRateImageStateCreateInfoNV::operator==
bool operator==(PipelineViewportShadingRateImageStateCreateInfoNV const &rhs) const
Definition: vulkan.hpp:36641
VkPipelineViewportShadingRateImageStateCreateInfoNV
Definition: vulkan_core.h:8048
VULKAN_HPP_NAMESPACE::PipelineViewportShadingRateImageStateCreateInfoNV::shadingRateImageEnable
Bool32 shadingRateImageEnable
Definition: vulkan.hpp:36660
VULKAN_HPP_NAMESPACE::PipelineViewportShadingRateImageStateCreateInfoNV::sType
StructureType sType
Definition: vulkan.hpp:36656
VULKAN_HPP_NAMESPACE::PipelineViewportShadingRateImageStateCreateInfoNV::pShadingRatePalettes
const ShadingRatePaletteNV * pShadingRatePalettes
Definition: vulkan.hpp:36662